package com.brilliance.isc.common.jshmod.vo;

import com.brilliance.isc.bo.bop.jsh.Dbjgrp;
import com.brilliance.isc.bo.bop.jsh.Dbwgrp;
import com.brilliance.isc.common.jshmod.common.Ctlset;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
@JsonIgnoreProperties(ignoreUnknown = true)
public class Jshmod extends AbstractCommonVo {
    //基础信息
    private String basflg;
    //管理信息
    private String vrfflg;
    //申报类型
    private String szflg;
    //地区机构号
    private String ownextkey;
    //客户科目
    private List<String> cusacttrm;
    //控制金额汇率可否为空
    private String jshflg;
    //资本项目数字化
    private String zbxmszh;
    //结汇模型
    private Dbjgrp dbjgrp;
    //售汇模型
    private Dbwgrp dbwgrp;
    //控制信息模块
    private Ctlset ctlmod;

    @Override
    public void reset() {
        super.reset();
//        if (StringUtils.isEmpty(szflg)) {
//            szflg = "3";
//        }
        if (dbjgrp == null) {
            dbjgrp = new Dbjgrp();
        }
        dbjgrp.reset();
        if (dbwgrp == null) {
            dbwgrp = new Dbwgrp();
        }
        dbwgrp.reset();
        if (ctlmod == null) {
            ctlmod = new Ctlset();
        }
        ctlmod.reset();
    }

    public void clear() {
        dbjgrp = new Dbjgrp();
        dbjgrp.reset();
        dbwgrp = new Dbwgrp();
        dbwgrp.reset();
        ctlmod = new Ctlset();
        ctlmod.reset();
    }
}
